> This page is for Enterprise.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://citi-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://citi-demo.ferndocs.com/_mcp/server.

# Obtain Cleared Transaction Details Reporting

POST https://tts.apib2b.citi.com/tts/cards/vca/v2/reports/clearing
Content-Type: application/json

Obtain cleared transaction details on a VCA for reporting and payment reconciliation

Reference: https://citi-demo.ferndocs.com/enterprises/api-reference/commercial-cards/vca-reporting/virtual-card-reporting/clearing-report

## Authentication

- `Authorization` header (bearer token, required) — All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

## Servers

- `https://tts.apib2b.citi.com/tts/cards` (production gateway URL, default)
- `https://tts.sandbox.apib2b.citi.com/tts/cards` (sandbox URL)

## Request

### Query parameters

- `client_id` (string, required) — This is your unique identifier shared during your CitiConnect API onboarding. This is the same `client_id` used for oauth token generation

### Headers

- `Authorization` (string, required) — The OAuth Token prefixed with "Bearer" and space in between.
- `country` (string, required) — Three character length country code used during onboarding into GRACE
- `region` (string, required) — This value will be used by APIm to route to the respective GRACE backend instance
- `req-sys-id` (string, optional) — Unique ID of the API message sent. This ID will be provided back in the corresponding response. The ID can be used for investigation and troubleshooting. The ID must be unique per integration.

### Body (application/json)

This endpoint expects a ClearingReportInboundRequest.

- `startDate` (string, required) — Specifies the start date upto when the reports can be retrievedFormat:YYYY-MM-DDRules:Start date should be less than end date.Start date should not be earlier than create VCA dateStartDate and endDate can be up to 180 days in the past from the day of report requested and not future date
- `endDate` (string, required) — Specifies the end date upto when the reports can be retrievedFormat:YYYY-MM-DDRules:End date should greater than the start dateStartDate and endDate can be up to 180 days in the past from the day of report requested and not future date
- `vcaId` (string, required) — A reference number that uniquely identifies the virtual card account.
- `programId` (string, required) — Unique ID of the company record defined in the virtual cards system.
- `messageId` (string, required) — Unique ID of the API message sent. The messageId will be provided back in the corresponding response. The ID can be used for investigation and troubleshooting. The ID must be unique per integration.
- `virtualCardAccountNumber` (string, required) — The virtual card account number to use for transactions.Numeric field and no decimals allowed
- `timeZone` (string, required) — Defines the time zone applicable for any date or timeUTC offset
- `startTime` (string, optional) — Specifies the start time from when the reports can be retrievedFormat:HH:MM
- `endTime` (string, optional) — Specifies the end time upto when the reports can be retrievedFormat:HH:MM
- `transactionType` (string, optional) — Specifies the nature of the transaction whether it was authorized or returned etc.Possible Values:AllPresentmentSecond PresentmentChargebackArbitration ChargebackRetrieval RequestFee Collection
- `reportIds` (list of string, optional) — An optional reportId array passed by client to fetch the Auth report transactions.

## Response

### 200

CodeDetails<tr>ClearingReportInboundResponsesuccess

## Examples

**Request**

```json
{
  "vcaId": "67676781",
  "programId": "233191",
  "messageId": "CITI0000000ClearReport20230825120311",
  "virtualCardAccountNumber": "5281722601926445",
  "timeZone": "UTC+05:30"
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://tts.apib2b.citi.com/tts/cards/vca/v2/reports/clearing"

querystring = {"client_id":"client_id"}

payload = {
    "vcaId": "67676781",
    "programId": "233191",
    "messageId": "CITI0000000ClearReport20230825120311",
    "virtualCardAccountNumber": "5281722601926445",
    "timeZone": "UTC+05:30"
}
headers = {
    "Authorization": "Bearer <token>",
    "country": "country",
    "region": "region",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://tts.apib2b.citi.com/tts/cards/vca/v2/reports/clearing?client_id=client_id';
const options = {
  method: 'POST',
  headers: {
    Authorization: 'Bearer <token>',
    country: 'country',
    region: 'region',
    'Content-Type': 'application/json'
  },
  body: '{"vcaId":"67676781","programId":"233191","messageId":"CITI0000000ClearReport20230825120311","virtualCardAccountNumber":"5281722601926445","timeZone":"UTC+05:30"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.apib2b.citi.com/tts/cards/vca/v2/reports/clearing?client_id=client_id"

	payload := strings.NewReader("{\n  \"vcaId\": \"67676781\",\n  \"programId\": \"233191\",\n  \"messageId\": \"CITI0000000ClearReport20230825120311\",\n  \"virtualCardAccountNumber\": \"5281722601926445\",\n  \"timeZone\": \"UTC+05:30\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("country", "country")
	req.Header.Add("region", "region")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tts.apib2b.citi.com/tts/cards/vca/v2/reports/clearing?client_id=client_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["country"] = 'country'
request["region"] = 'region'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"vcaId\": \"67676781\",\n  \"programId\": \"233191\",\n  \"messageId\": \"CITI0000000ClearReport20230825120311\",\n  \"virtualCardAccountNumber\": \"5281722601926445\",\n  \"timeZone\": \"UTC+05:30\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tts.apib2b.citi.com/tts/cards/vca/v2/reports/clearing?client_id=client_id")
  .header("Authorization", "Bearer <token>")
  .header("country", "country")
  .header("region", "region")
  .header("Content-Type", "application/json")
  .body("{\n  \"vcaId\": \"67676781\",\n  \"programId\": \"233191\",\n  \"messageId\": \"CITI0000000ClearReport20230825120311\",\n  \"virtualCardAccountNumber\": \"5281722601926445\",\n  \"timeZone\": \"UTC+05:30\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tts.apib2b.citi.com/tts/cards/vca/v2/reports/clearing?client_id=client_id', [
  'body' => '{
  "vcaId": "67676781",
  "programId": "233191",
  "messageId": "CITI0000000ClearReport20230825120311",
  "virtualCardAccountNumber": "5281722601926445",
  "timeZone": "UTC+05:30"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'country' => 'country',
    'region' => 'region',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tts.apib2b.citi.com/tts/cards/vca/v2/reports/clearing?client_id=client_id");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("country", "country");
request.AddHeader("region", "region");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"vcaId\": \"67676781\",\n  \"programId\": \"233191\",\n  \"messageId\": \"CITI0000000ClearReport20230825120311\",\n  \"virtualCardAccountNumber\": \"5281722601926445\",\n  \"timeZone\": \"UTC+05:30\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "country": "country",
  "region": "region",
  "Content-Type": "application/json"
]
let parameters = [
  "vcaId": "67676781",
  "programId": "233191",
  "messageId": "CITI0000000ClearReport20230825120311",
  "virtualCardAccountNumber": "5281722601926445",
  "timeZone": "UTC+05:30"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.apib2b.citi.com/tts/cards/vca/v2/reports/clearing?client_id=client_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```